%define _with_repolib 1

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

Summary:        GlassFish JSTL
Name:           glassfish-jstl 
Version:        1.2.0
Release:        0jpp.ep1.2%{?dist}
Epoch:          0
License:        CDDL
Group:          Development/Java
URL:            http://jstl.dev.java.net

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}-component-info.xml


%define repodir %{_javadir}/repository.jboss.com/sun-jstl/1.2
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%description
JavaServer Pages Standard Tag Library


%if %{with_repolib}
%package	 repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	Development/Libraries/Java

%description	 repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%prep
%setup -c %{name} 

tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}

%build
#Do Nothing here for now

%install
rm -rf $RPM_BUILD_ROOT
%define jar_name jstl
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/
install -p -m 0644 %{jar_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/
ln -sf %{name}-%{version}.jar %{name}.jar  )

%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
        cp %{jar_name}.jar $RPM_BUILD_ROOT%{repodirlib}/
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar


%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Fri Nov 23 2007 Fernando Nasser <fnasser@redhat.com> 0:1.2.0-0jpp.ep1.2
- Mimic sun-jstl repository setup so it can be used as a replacement

* Fri Nov 16 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.2.0-0jpp.ep1.1
- First release.
